-- ============================

-- This file was created using Derby's dblook utility.
-- Timestamp: 2009-12-16 10:59:37.908
-- Source database is: ..\zeprs
-- Connection URL is: jdbc:derby:..\zeprs
-- appendLogs: false

-- ----------------------------------------------
-- DDL Statements for schemas
-- ----------------------------------------------

CREATE SCHEMA "USERDATA";

CREATE SCHEMA "ADMIN";

-- ----------------------------------------------
-- DDL Statements for jars
-- **** NOTE **** In order for jar files to be loaded correctly,
-- you must either 1) ensure that the DBJARS directory (created
-- automatically by dblook) exists where it was created (i.e. at
-- the path shown in the statements below), or else 2) change the
-- path in the statements below to reflect the current location of
-- DBJARS.  If the DBJARS directory does not exist, or if it
-- has been moved and the path is not correct, the following DDL
-- statements will throw errors, and the jar files will NOT be
-- loaded.
-- ----------------------------------------------

CALL SQLJ.INSTALL_JAR('file:C:\tcc\databases\scripts\DBJARS\APP\ZCOREUUID.jar.G1258721538935', '"APP"."ZCOREUUID"', 0);

-- ----------------------------------------------
-- DDL Statements for functions
-- ----------------------------------------------

CREATE FUNCTION "APP"."GENERATE_UUID" () RETURNS VARCHAR(255) LANGUAGE JAVA PARAMETER STYLE JAVA NO SQL CALLED ON NULL INPUT EXTERNAL NAME 'org.cidrz.webapp.dynasite.utils.ZcoreDerbyUuid.generateUuid' ;

-- ----------------------------------------------
-- DDL Statements for tables
-- ----------------------------------------------

CREATE TABLE "APP"."DOCKET" ("ID" BIGINT NOT NULL DEFAULT 0, "TRACKING_NUMBER" VARCHAR(255), "DATE_TO_CM" DATE, "INSTRUCTIONS_ISSUED" SMALLINT, "DATE_INSTRUCTIONS_ISSUED" DATE, "PENDING_DATE" DATE, "OUTCOME_OF_NAD" VARCHAR(255), "DATE_OF_NAD" DATE, "WARRANT_OF_ARREST" SMALLINT, "NOLLE_PROSEQUI" INTEGER, "ARREST" SMALLINT, "DATE_OF_ARREST" DATE, "NAD_REGISTER_NUMBER" VARCHAR(255), "DATE_OF_FIRST_APPEARANCE" DATE, "COURT" INTEGER, "CASE_NUMBER" VARCHAR(255), "COURT_NUMBER" VARCHAR(255), "STATUS" INTEGER, "DATE_REMANDED_TO" DATE, "REASON_FOR_STATUS" VARCHAR(255), "APPEARANCE_RESULTS" INTEGER, "CONDITIONS_FOR_BAIL" LONG VARCHAR, "DATE_SC_BAIL_INFO" DATE, "DATE_VAO_INFORMED_SURVIVOR" DATE, "DESCRIPTION_VAO_INFORMED_SURVIVOR" LONG VARCHAR, "REASONS_FOR_NON_ARREST" LONG VARCHAR, "SUMMON" SMALLINT, "NOLLE_PROSEQU_YESNO" SMALLINT, "DATE_OF_SUMMONS" DATE);

CREATE TABLE "APP"."USER_GROUP_ROLE" ("GROUP_ID" BIGINT NOT NULL DEFAULT 0, "ROLE" VARCHAR(255));

CREATE TABLE "APP"."EVENT" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "PATIENT_ID" BIGINT, "DATE_EVENT_BEGIN" DATE, "EVENT_BEGIN_ENCOUNTER_ID" BIGINT, "DATE_EVENT_END" DATE, "EVENT_END_ENCOUNTER_ID" BIGINT, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "IMPORT_EVENT_ID" BIGINT, "UUID" CHAR(36), "CREATED_SITE_ID" BIGINT, "EVENT_BEGIN_ENCOUNTER_UUID" CHAR(36), "EVENT_END_ENCOUNTER_UUID" CHAR(36), "CLIENT_UUID" CHAR(36));

CREATE TABLE "ADMIN"."FLOW" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 316, INCREMENT BY 14), "NAME" VARCHAR(255) NOT NULL, "FLOW_ORDER" BIGINT, "CREATED" TIMESTAMP DEFAULT CURRENT_TIMESTAMP, "LAST_MODIFIED" TIMESTAMP DEFAULT CURRENT_TIMESTAMP, "CREATED_BY" VARCHAR(255), "LAST_MODIFIED_BY" VARCHAR(255), "GLOBAL_IDENTIFIER_NAME" CHAR(36));

CREATE TABLE "APP"."USER_INFO" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "USERNAME" VARCHAR(50) NOT NULL, "FIRSTNAME" VARCHAR(50) NOT NULL, "LASTNAME" VARCHAR(50) NOT NULL, "PREFIX" VARCHAR(50), "SEX" INTEGER, "EMAIL" VARCHAR(50), "PHONE" VARCHAR(15), "MOBILE" VARCHAR(15), "CLINIC_ID_FK" INTEGER, "MARITAL_STATUS_FK" INTEGER, "PASSWORD" VARCHAR(30));

CREATE TABLE "APP"."COURT" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "COURT_NAME" VARCHAR(255));

CREATE TABLE "APP"."SAFETY_PLACEMENT" ("ID" BIGINT NOT NULL DEFAULT 0, "PROVIDED_SAFETY_PLACEMENT" SMALLINT, "PLACE_OF_SAFETY" VARCHAR(255), "REFERRED_FOSTER_CASE" SMALLINT, "REFERRED_FOR_SHELTER" SMALLINT);

CREATE TABLE "APP"."ORGANIZATION" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "ORG_NAME" VARCHAR(255), "USG_GRANTEE" SMALLINT, "PROVIDES_HIV_CARE_PEPFAR" SMALLINT);

CREATE TABLE "APP"."SYNCLOG" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "UUID" CHAR(36), "OBJECT_UUID" CHAR(36), "SITE_ID" BIGINT, "OBJECT_ID" BIGINT, "EXPORT_TIMESTAMP" TIMESTAMP, "CONFIRMATIONTIMESTAMP" TIMESTAMP, "SITE_INSTANCE_ID" INTEGER, "CHECKSUM" BIGINT, "FORM_ID" BIGINT, "IMPORT_TIMESTAMP" TIMESTAMP);

CREATE TABLE "ADMIN"."SEX" ("ID" INTEGER, "NAME" VARCHAR(10));

CREATE TABLE "APP"."CASE_WITHDRAWAL" ("ID" BIGINT NOT NULL DEFAULT 0, "OUTCOME" INTEGER, "OTHER_OUTCOME" VARCHAR(255), "WITHDRAWN_BY_COMPLAINANT" SMALLINT, "WITHDRAWN_MEDICAL_EVIDENCE" SMALLINT, "WITHDRAWN_FORENSIC_EVIDENCE" SMALLINT, "WITHDRAWN_OTHER" SMALLINT, "WITHDRAWN_OTHER_SPECIFIY" LONG VARCHAR, "DATE_OF_OUTCOME" DATE);

CREATE TABLE "ADMIN"."FORM_DOMAIN" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "NAME" VARCHAR(255), "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "GLOBAL_IDENTIFIER_NAME" VARCHAR(128));

CREATE TABLE "ADMIN"."DISTRICT" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 10, INCREMENT BY 2), "DISTRICT_ID" VARCHAR(255) NOT NULL, "DISTRICT_NAME" VARCHAR(255) NOT NULL, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT);

CREATE TABLE "APP"."ARCHIVELOG" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "ARCHIVED" TIMESTAMP, "CHECKSUM" BIGINT);

CREATE TABLE "APP"."PREGNANCYBEGIN" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_PREGNANCY_BEGAN" DATE DEFAULT NULL, "COMMENTS_NEW_PREG_1371" LONG VARCHAR);

CREATE TABLE "ADMIN"."IMMUNIZATION" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 7, INCREMENT BY 1), "NAME" VARCHAR(255) NOT NULL, "TYPE_ID" BIGINT, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT);

CREATE TABLE "ADMIN"."IMMUNIZATION_TYPE" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 4, INCREMENT BY 1), "NAME" VARCHAR(255), "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT);

CREATE TABLE "APP"."CONTACT" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "CELL" VARCHAR(255), "TEL" VARCHAR(255), "EMAIL" VARCHAR(255), "PHYSICAL_ADDRESS" VARCHAR(255), "CONTACT_TYPE" INTEGER, "CONTACT_TYPE_OTHER" VARCHAR(255), "CONTACT_SURNAME" VARCHAR(255), "CONTACT_FIRSTNAME" VARCHAR(255), "SURNAME" VARCHAR(255), "FIRSTNAME" VARCHAR(255), "SUBURB" VARCHAR(255), "CITY" VARCHAR(255), "POSTAL_CODE" VARCHAR(255), "PREFIX" INTEGER);

CREATE TABLE "APP"."SUBSCRIPTION" ("ID" INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "URL" VARCHAR(255), "DATESUBSCRIBED" TIMESTAMP, "ENABLED" SMALLINT, "SITE" VARCHAR(5), "USERNAME" VARCHAR(255), "PASSWORD" VARCHAR(255));

CREATE TABLE "APP"."COUNTRY" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "NAME" VARCHAR(255), "COUNTRY_CODE" VARCHAR(2));

CREATE TABLE "APP"."ARREST_DOCKET" ("ID" BIGINT NOT NULL DEFAULT 0, "COURT" INTEGER, "DATE_OF_FIRST_APPEARANCE" DATE, "COURT_NUMBER" VARCHAR(255), "CASE_NUMBER" VARCHAR(255), "DATE_REMANDED_TO" DATE, "STATUS" INTEGER, "APPEARANCE_RESULTS" INTEGER, "CONDITIONS_FOR_BAIL" LONG VARCHAR, "DATE_VAO_INFORMED_SURVIVOR" DATE, "DESCRIPTION_VAO_INFORMED_SURVIVOR" LONG VARCHAR, "MOTHOD_OF_INFORMING_SURVIVOR" INTEGER, "REASON_FOR_STATUS" INTEGER, "ACCUSED_POSITION" INTEGER, "COURT_NAME_ID" INTEGER, "OTHER_REASON" VARCHAR(255), "DATE_OF_ARREST" DATE, "STATION" INTEGER, "CAS" VARCHAR(255), "INVESTIGATING_OFFIER_ID" INTEGER, "ADDITIONALL_INVEST_OFFICERS" VARCHAR(255), "CONDITIONS_FOR_BAIL_ENUM" INTEGER, "NOT_CONTACT_WITNESS" SMALLINT, "REPORT_ONCE_WEEK" SMALLINT, "HOUSE_ARREST" SMALLINT, "MAINTENANCE" SMALLINT, "NOT_LEAVE_COUNTRY" SMALLINT, "SUBMIT_TRAVEL_DOCS" SMALLINT, "OTHER_CONDITIONS_BAIL" SMALLINT, "COURT_NAME_UUID" CHAR(36), "STATION_UUID" CHAR(36), "INVESTIGATING_OFFIER_UUID" CHAR(36));

CREATE TABLE "APP"."PATIENTREGISTRATION" ("ID" BIGINT NOT NULL DEFAULT 0, "PATIENT_ID_NUMBER" VARCHAR(255) DEFAULT NULL, "PHONE" VARCHAR(255) DEFAULT NULL, "ALTERNATE_ID" VARCHAR(255) DEFAULT NULL, "SCHOOL" VARCHAR(255), "TEACHER" VARCHAR(255), "TEACHER_CONTACT_NUMBER" VARCHAR(255), "PERSON_WITH_MINOR" VARCHAR(255), "COMPANION_AGE" INTEGER, "COMPANION_RELATION" INTEGER, "COMPANION_RELATION_OTHER" VARCHAR(255), "COMPANION_CELL" VARCHAR(255), "COMPANION_TEL" VARCHAR(255), "COMPANION_EMAIL" VARCHAR(255), "COMPANION_ADDRESS" VARCHAR(255), "CELL" VARCHAR(255), "EMAIL" VARCHAR(255), "COUNTRY_ID_NUMBER" VARCHAR(255), "CAREGIVER_FORENAMES" VARCHAR(255), "CAREGIVER_SURNAME" VARCHAR(255), "CAREGIVER_CELL" VARCHAR(255), "CAREGIVER_TEL" VARCHAR(255), "CAREGIVER_EMAIL" VARCHAR(255), "CAREGIVER_ADDRESS" LONG VARCHAR, "SURNAME" VARCHAR(255) DEFAULT NULL, "FORENAMES" VARCHAR(255) DEFAULT NULL, "BIRTH_DATE" DATE DEFAULT NULL, "AGE_AT_FIRST_ATTENDENCE" INTEGER DEFAULT NULL, "ADDRESS_1" VARCHAR(255) DEFAULT NULL, "SEX" INTEGER DEFAULT NULL, "DISTRICT" VARCHAR(255) DEFAULT NULL, "DISTRICT_IDENTIFIER" VARCHAR(255) DEFAULT NULL, "SITE_IDENTIFIER" VARCHAR(255), "DISTRICT_ID" VARCHAR(255), "PASSPORT_ID" VARCHAR(255), "NATIONALITY" INTEGER, "COMPLAINANT_DECEASED" SMALLINT, "PROOF_OF_AGE" SMALLINT, "ACCOMPANYING_SA_ID" VARCHAR(255), "CAREGIVER_SA_ID" VARCHAR(255), "GUARDIAN_SA_ID" VARCHAR(255), "AGE_MONTHS" INTEGER);

CREATE TABLE "APP"."OUTCOME_ARCHIVE" ("ID" BIGINT NOT NULL DEFAULT 0, "ACTIVE" SMALLINT, "ENCOUNTER_ID" BIGINT, "PATIENT_ID" BIGINT, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "PREGNANCY_ID" BIGINT, "FORM_ID" BIGINT, "FORM_FIELD_ID" BIGINT, "RULE_DEFINITION_ID" BIGINT, "MESSAGE" VARCHAR(255), "REQUIRED_FORM_ID" INTEGER, "REASON" VARCHAR(255), "PRIORITY_OF_REFERRAL" VARCHAR(255), "TRANSPORT" VARCHAR(255), "OUTCOME_TYPE" VARCHAR(255), "UTH_ADMISSION_DATE" TIMESTAMP, "ARRIVAL_CONDITION" VARCHAR(255), "UTH_WARD_ID" INTEGER, "REFERRING_SITE_ID" BIGINT, "FIRM" CHAR(1), "IMPORT_OUTCOME_ID" BIGINT, "IMPORT_ENCOUNTER_ID" BIGINT, "DATE_DELETED" TIMESTAMP, "DELETED_BY" VARCHAR(255), "EVENT_ID" BIGINT, "EVENT_UUID" CHAR(36), "UUID" CHAR(36), "ENCOUNTER_UUID" CHAR(36), "PATIENT_UUID" CHAR(36));

CREATE TABLE "ADMIN"."FORM_FIELD" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 2666, INCREMENT BY 1), "LABEL" VARCHAR(255) NOT NULL, "TYPE" VARCHAR(255) NOT NULL, "REQUIRED" SMALLINT NOT NULL DEFAULT 0, "MIN_VALUE" INTEGER, "MAX_VALUE" INTEGER, "UNITS" VARCHAR(255), "DISPLAY_ORDER" INTEGER, "PATIENT_PROPERTY" VARCHAR(255), "IS_ENABLED" SMALLINT NOT NULL DEFAULT 0, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "SHARED" SMALLINT NOT NULL DEFAULT 0, "STAR_SCHEMA_NAME" VARCHAR(255), "ENCOUNTER_RECORD_PROPERTY" VARCHAR(255), "PATIENT_STATUS_PROPERTY" VARCHAR(255), "PATIENT_LAB_PROPERTY" VARCHAR(255), "IMPORT_ID" BIGINT, "GLOBAL_IDENTIFIER_NAME" CHAR(36), "OPENMRS_CONCEPT" VARCHAR(255), "OPENMRS_DATATYPE" VARCHAR(255), "OPENMRS_NAME" VARCHAR(255), "UUID" VARCHAR(36), "PARENT_UUID" VARCHAR(36), "OPENMRS_PARENT_CONCEPT" VARCHAR(255), "LOCALE" VARCHAR(6));

CREATE TABLE "APP"."INCIDENTDETAILS" ("ID" BIGINT NOT NULL DEFAULT 0, "SEXUAL_OFFENCE" SMALLINT, "HUMAN_TRAFFICKING" SMALLINT, "DOMESTIC_VIOLENCE" SMALLINT, "OTHER_OFFENCE" SMALLINT, "OTHER_OFFENCE_DESCRIBE" LONG VARCHAR, "OFFENCE_OVER_TIME_PERIOD" SMALLINT, "ESTIMATED_PERIOD_YEARS" INTEGER, "ESTIMATED_PERIOD_MONTHS" INTEGER, "DATE_DOCKET_RECEIVED" DATE, "INVESTIGATING_OFFICER_FORENAMES" VARCHAR(255), "INVESTIGATING_OFFICER_SURNAME" VARCHAR(255), "INVESTIGATING_OFFICER_CELL" VARCHAR(255), "INVESTIGATING_OFFICER_MOBILE" VARCHAR(255), "INVESTIGATING_OFFICER_EMAIL" VARCHAR(255), "INVESTIGATING_OFFICER_CONTACT_ID" INTEGER, "COMMENTS" LONG VARCHAR, "SUSPECTED_SEXUAL_ASSAULT" INTEGER, "ASSAULT" INTEGER, "CHILD_NEGLECT" INTEGER, "KIDNAPPING" INTEGER, "DATE_OF_INCIDENT" DATE, "TIME_OF_INCIDENT" TIME, "AREA_OF_INCIDENT" VARCHAR(255), "WITNESS_STATEMENT" LONG VARCHAR, "INVESTIGATING_OFFICER_CONTACT_UUID" CHAR(36), "PROTECTION_ORDER_OBTAINED" SMALLINT, "CASE_NUMBER" VARCHAR(255), "COURT_NAME_UUID" VARCHAR(255), "REFER_FOR_PROTECT_ORDER" LONG VARCHAR, "ORGANISATION_UUID" VARCHAR(255), "FOLLOWUP_INFO" LONG VARCHAR, "CRIMINAL_CASE_OPENED" SMALLINT);

CREATE TABLE "APP"."SITE_TYPE" ("ID" INTEGER NOT NULL DEFAULT 0, "NAME" VARCHAR(8));

CREATE TABLE "APP"."USER_GROUP_MEMBERSHIP" ("ID" VARCHAR(255) NOT NULL, "GROUP_ID" BIGINT, "PREFIX" VARCHAR(255), "FIRSTNAME" VARCHAR(255), "LASTNAME" VARCHAR(255));

CREATE TABLE "APP"."PERSONNEL" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "SURNAME" VARCHAR(255), "FORENAMES" VARCHAR(255), "PROFESSION" INTEGER, "PROFESSION_OTHER" VARCHAR(255), "RELEVANT_TRAINING" INTEGER, "TRAINING_OTHER" VARCHAR(255), "EVALUATION" INTEGER, "COMMENTS_EXPERTISE" LONG VARCHAR);

CREATE TABLE "APP"."PREGNANCY" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "PATIENT_ID" BIGINT, "DATE_PREGNANCY_BEGIN" DATE, "PREGNANCY_BEGIN_ENCOUNTER_ID" BIGINT, "DATE_PREGNANCY_END" DATE, "PREGNANCY_END_ENCOUNTER_ID" BIGINT, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "LABOUR_ADMISSION_ENCOUNTER_ID" BIGINT, "DATE_LABOUR_ADMISSION" DATE, "IMPORT_PREGNANCY_ID" BIGINT, "UUID" CHAR(36), "CREATED_SITE_ID" BIGINT, "PREGNANCY_BEGIN_ENCOUNTER_UUID" CHAR(36), "PREGNANCY_END_ENCOUNTER_UUID" CHAR(36), "LABOUR_ADMISSION_ENCOUNTER_UUID" CHAR(36));

CREATE TABLE "APP"."RELATIONSHIP" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 85, INCREMENT BY 1), "UUID1" VARCHAR(255), "UUID2" VARCHAR(255), "RELATIONSHIP_TYPE" INTEGER, "UUID1_TABLE" VARCHAR(255), "UUID2_TABLE" VARCHAR(255), "EVENT_UUID" VARCHAR(255), "EVENT_UUID2" VARCHAR(255));

CREATE TABLE "APP"."APPUPDATE" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 482, INCREMENT BY 1), "DATEPOSTED" TIMESTAMP, "DATEINSTALLED" TIMESTAMP, "TYPE" CHAR(1), "JOB" LONG VARCHAR, "MESSAGE" VARCHAR(255), "UPDATEID" BIGINT);

CREATE TABLE "ADMIN"."FORM_TYPE" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 9, INCREMENT BY 1), "NAME" VARCHAR(255), "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "GLOBAL_IDENTIFIER_NAME" VARCHAR(128));

CREATE TABLE "APP"."VAO_CASE_OUTCOME" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_VAO_INFORMED" DATE, "MOTHOD_OF_INFORMING_SURVIVOR" INTEGER);

CREATE TABLE "APP"."CASEREPORTREQUEST" ("ID" BIGINT NOT NULL DEFAULT 0, "REPORT_TYPE" INTEGER, "REPORT_OTHER" LONG VARCHAR, "CAREGIVER_FORENAMES" VARCHAR(255), "CAREGIVER_SURNAME" VARCHAR(255), "CAREGIVER_CELL" VARCHAR(255), "CAREGIVER_TEL" VARCHAR(255), "CAREGIVER_EMAIL" VARCHAR(255), "CAREGIVER_ADDRESS" LONG VARCHAR, "PENDING_DATE" DATE, "DATE_REPORT_RECEIVED" DATE);

CREATE TABLE "APP"."INTAKE" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_VICTIM_AT_TCC" DATE, "TIME_VICTIM_AT_TCC" TIME, "OFFENDER_KNOWN_TO_VICTIM" SMALLINT, "VICTIM_RELATIONSHIP_TO_OFFENDER" INTEGER, "STATEMENT_TAKEN" SMALLINT, "REPORTED_SAPS" SMALLINT, "DATE_REPORTED_SAPS" DATE, "TIME_REPORTED_SAPS" TIME, "STATION" INTEGER, "STATION_OTHER" VARCHAR(255), "CAS" VARCHAR(255), "DIRECT_WALK" SMALLINT, "REFERRAL_NOT_POLICE" SMALLINT, "INVESTIGATING_OFFIER_NAME" VARCHAR(255), "INVESTIGATING_OFFIER_CELL" VARCHAR(255), "INVESTIGATING_OFFIER_TEL" VARCHAR(255), "INVESTIGATING_OFFIER_EMAIL" VARCHAR(255), "INVESTIGATING_OFFIER_ID" INTEGER, "SAPS_TRANSPORT_TO_TCC" SMALLINT, "SURVIVOR_WAIT_FOR_TRANSPORT" INTEGER, "NOT_REPORT_TO_SAPS" INTEGER, "OFFICER_TRANSPORTING_SURVIVOR" INTEGER, "ADDITIONALL_INVEST_OFFICERS" VARCHAR(255), "DATE_OF_ARREST" DATE, "OFFICER_TRANSPORTING_SURVIVOR_UUID" CHAR(36));

CREATE TABLE "APP"."ENCOUNTER" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "PATIENT_ID" BIGINT, "FORM_ID" BIGINT NOT NULL DEFAULT 0, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "FLOW_ID" BIGINT NOT NULL DEFAULT 0, "DATE_VISIT" DATE NOT NULL DEFAULT '0000-00-00', "PREGNANCY_ID" BIGINT, "REFERRAL_ID" BIGINT, "CREATED_SITE_ID" BIGINT, "IMPORT_ENCOUNTER_ID" BIGINT, "UUID" CHAR(36), "EVENT_ID" BIGINT, "EVENT_UUID" CHAR(36), "CLIENT_UUID" CHAR(36), "EXPORT_DATE" TIMESTAMP);

CREATE TABLE "APP"."DISTRICT_ID" ("ID" INTEGER NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "DISTRICT_ID" INTEGER, "SITE_ID" VARCHAR(4), "PATIENT_ID" INTEGER DEFAULT 00000, "CHECKSUM" INTEGER);

CREATE TABLE "USERDATA"."ADDRESS" ("FIRSTNAME" VARCHAR(50) NOT NULL, "NICKNAME" VARCHAR(50) NOT NULL, "LASTNAME" VARCHAR(50) NOT NULL, "EMAIL" VARCHAR(50) NOT NULL, "LABEL" VARCHAR(50) NOT NULL, "OWNER" VARCHAR(50) NOT NULL, "AD_PHONE" VARCHAR(15) NOT NULL, "AD_MOBILE" VARCHAR(15) NOT NULL, "AD_CLINIC_ID_FK" INTEGER NOT NULL DEFAULT 0, "AD_SEX" CHAR(1) NOT NULL, "AD_MARITAL_STATUS_FK" INTEGER NOT NULL DEFAULT 0, "AD_JOB_TITLE_FK" CHAR(2) NOT NULL, "AD_REG_CARD" VARCHAR(15) NOT NULL, "AD_MOH_FILE_NUM" VARCHAR(15) NOT NULL, "AD_MC_NUM" VARCHAR(15) NOT NULL, "AD_PERMISSIONS_FK" CHAR(2) NOT NULL DEFAULT '3', "AD_MAN_NUM" VARCHAR(30) NOT NULL, "AD_HOBBIES" VARCHAR(200) NOT NULL, "AD_NCERT_NUM" VARCHAR(30) NOT NULL);

CREATE TABLE "APP"."VOA_CASE_COMMUNICATIONS" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_VAO_INFORMED_SURVIVOR" DATE, "MOTHOD_OF_INFORMING_SURVIVOR" INTEGER, "COMMENTS" LONG VARCHAR);

CREATE TABLE "APP"."COMMENT" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "PATIENT_ID" BIGINT, "PROBLEM_ID" BIGINT, "COMMENT_TEXT" LONG VARCHAR NOT NULL, "ACTION_PLAN" LONG VARCHAR, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "OUTCOME_ID" BIGINT, "ENCOUNTER_ID" BIGINT, "PREGNANCY_ID" BIGINT, "IMPORT_COMMENT_ID" BIGINT, "UUID" CHAR(36), "ENCOUNTER_UUID" CHAR(36), "PATIENT_UUID" CHAR(36), "PROBLEM_UUID" CHAR(36), "OUTCOME_UUID" CHAR(36), "EVENT_ID" BIGINT, "EVENT_UUID" CHAR(36));

CREATE TABLE "APP"."MENUITEM" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "TEXTLINK" VARCHAR(255), "DISPLAYORDER" INTEGER, "URL" VARCHAR(255), "PATIENTIDPARAM" SMALLINT, "FLOWIDPARAM" INTEGER, "FORMIDPARAM" INTEGER, "LOGIN" SMALLINT, "HOME" SMALLINT, "CLIENT" SMALLINT, "CONFIG" SMALLINT, "ADMINISTRATION" SMALLINT, "REPORTS" SMALLINT, "ROLENAME" VARCHAR(255), "TEMPLATEKEY" VARCHAR(255));

CREATE TABLE "APP"."TCC_OPERATIONS" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "DATE_NOT_OPERATING" DATE, "TIME_NOT_OPERATING" TIME, "DURATION_NON_OPERATION" INTEGER, "TYPE_OF_PROBLEM" INTEGER, "DESCRIPTION_OF_PROBLEM" LONG VARCHAR);

CREATE TABLE "APP"."POLICE_STATION" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "NAME" VARCHAR(255));

CREATE TABLE "APP"."USER_GROUP" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "NAME" VARCHAR(255) NOT NULL, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "ACTIVE" SMALLINT);

CREATE TABLE "APP"."PROBLEM" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "PATIENT_ID" BIGINT, "PROBLEMNAME" VARCHAR(255) NOT NULL, "ACTIVE" SMALLINT, "ONSET_DATE" DATE NOT NULL DEFAULT '0000-00-00', "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "PREGNANCY_ID" BIGINT, "IMPORT_PROBLEM_ID" BIGINT, "UUID" CHAR(36), "PATIENT_UUID" CHAR(36), "EVENT_ID" BIGINT, "EVENT_UUID" CHAR(36));

CREATE TABLE "APP"."STAKEHOLDER_COORDINATION" ("ID" BIGINT NOT NULL DEFAULT 0, "FORUM_NAME" VARCHAR(255), "FORUM_MANDATE" VARCHAR(255), "CHALLENGES" LONG VARCHAR, "HOW_CHALLENGES_ADDRESSED" LONG VARCHAR, "MAIN_OUTCOMES" LONG VARCHAR, "OUTCOMES" LONG VARCHAR, "DATE_OF_FORUM" DATE, "DATE_OF_NEXT_FORUM" DATE, "FORUM_BEYOND_ABSTINENCE_PEPFAR" SMALLINT);

CREATE TABLE "APP"."VAO_COUNSELLING" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_OF_COUNSELLING" DATE, "DATE_NEXT_VISIT" DATE, "REFERRED_FOR_ONGONG_COUNSELING" SMALLINT, "ORGANISATION" INTEGER, "ATTENDED_ONGOING_COUNSELING" SMALLINT, "REFERRED_TO_OTHER_SERVICES" SMALLINT, "COUNSELLING_DETAILS" LONG VARCHAR, "ORGANISATION_UUID" CHAR(36));

CREATE TABLE "APP"."SUBSEQUENTAPPEARANCE" ("ID" BIGINT NOT NULL DEFAULT 0, "REASON" INTEGER, "ACCUSED_POSITION" INTEGER, "REASONS_POSITION_CHANGED" LONG VARCHAR, "PROSECUTOR" VARCHAR(255), "CONVICTION" SMALLINT, "CHARGES" LONG VARCHAR, "DATE_CONVICTION" DATE, "MAGISTRATE_FORENAMES" VARCHAR(255), "MAGISTRATE_SURNAME" VARCHAR(255), "PROSECUTOR_FORENAMES" VARCHAR(255), "PROSECUTOR_SURNAME" VARCHAR(255), "PROSECUTOR_ID" INTEGER, "COURT_NAME_ID" INTEGER, "COURT_NAME" VARCHAR(255), "DAT_OF_APPEARANCE" DATE, "DATE_OF_NEXT_APPEARANCE" DATE, "REPORT_TYPE" INTEGER, "REPORT_OTHER" LONG VARCHAR, "PENDING_DATE" DATE, "DATE_REPORT_RECEIVED" DATE, "COURT_NAME_UUID" CHAR(36), "PROSECUTOR_UUID" CHAR(36));

CREATE TABLE "APP"."UPDATELOG" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "UPDATED" TIMESTAMP, "CHECKSUM" BIGINT, "SITE" VARCHAR(5), "COMMENTS" LONG VARCHAR, "BUILDDATE" TIMESTAMP, "UUID" CHAR(36), "OBJECT_UUID" CHAR(36), "UPDATE_TYPE" INTEGER);

CREATE TABLE "APP"."ENCOUNTER_VALUE_ARCHIVE" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "ENCOUNTER_ID" BIGINT NOT NULL DEFAULT 0, "PAGE_ITEM_ID" BIGINT NOT NULL DEFAULT 0, "VALUE" VARCHAR(255), "PREVIOUS_VALUE" VARCHAR(255), "PATIENT_ID" BIGINT, "PREGNANCY_ID" BIGINT, "FIELD_ID" BIGINT NOT NULL DEFAULT 0, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "BRIDGE_ID" BIGINT, "EVENT_ID" BIGINT, "UUID" CHAR(36), "ENCOUNTER_UUID" CHAR(36), "CLIENT_UUID" CHAR(36));

CREATE TABLE "APP"."ENCOUNTER_ARCHIVE" ("ID" BIGINT NOT NULL DEFAULT 0, "PATIENT_ID" BIGINT, "FORM_ID" BIGINT NOT NULL DEFAULT 0, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "FLOW_ID" BIGINT NOT NULL DEFAULT 0, "DATE_VISIT" DATE NOT NULL DEFAULT '0000-00-00', "PREGNANCY_ID" BIGINT, "REFERRAL_ID" BIGINT, "CREATED_SITE_ID" BIGINT, "IMPORT_ENCOUNTER_ID" BIGINT, "DATE_DELETED" TIMESTAMP, "DELETED_BY" VARCHAR(255), "EVENT_ID" BIGINT, "UUID" CHAR(36), "EVENT_UUID" CHAR(36));

CREATE TABLE "APP"."PEP_TRACKING" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_NEXT_VISIT" DATE, "DATE_OF_CONTRACT" DATE, "INFORMED_VICTIM" SMALLINT, "MOTHOD_OF_INFORMING_SURVIVOR" INTEGER);

CREATE TABLE "APP"."PATIENT" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "FIRST_NAME" VARCHAR(255) NOT NULL, "SURNAME" VARCHAR(255) NOT NULL, "DISTRICT_PATIENT_ID" VARCHAR(255), "ADDRESS_ID" BIGINT, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "OBSTETRIC_RECORD_NUMBER" VARCHAR(255), "PARENT_ID" BIGINT, "SEX" INTEGER, "AGE_AT_FIRST_VISIT" INTEGER, "BIRTHDATE" DATE, "TIME_OF_BIRTH" TIME, "PREGNANCY_ID" BIGINT, "DEAD" SMALLINT, "HIV_POSITIVE" SMALLINT, "DATE_DEATH" DATE, "DEATH_ENCOUNTER_ID" BIGINT, "HEIGHT" INTEGER, "PARENT_DISTRICT_ID" VARCHAR(255), "IMPORT_SITE" VARCHAR(5), "IMPORT_DATE" TIMESTAMP, "IMPORT_PATIENT_ID" BIGINT, "ALTERNATE_ID" VARCHAR(255), "DISABLE_LAB_IMPORT" SMALLINT DEFAULT NULL, "UUID" CHAR(36), "PARENT_UUID" CHAR(36), "COUNTRY_ID_NUMBER" VARCHAR(255), "EVENT_ID" BIGINT, "CURRENT_FLOW_ID" BIGINT, "CURRENT_FLOW_ENCOUNTER_ID" BIGINT, "CURRENT_FLOW_ENCOUNTER_UUID" CHAR(36), "CURRENT_EVENT_ID" BIGINT, "CURRENT_EVENT_ENCOUNTER_ID" BIGINT, "CURRENT_EVENT_UUID" CHAR(36), "CURRENT_EVENT_ENCOUNTER_UUID" CHAR(36), "PATIENT_TYPE" INTEGER);

CREATE TABLE "APP"."PROBLEM_ARCHIVE" ("ID" BIGINT NOT NULL DEFAULT 0, "PATIENT_ID" BIGINT, "PROBLEMNAME" VARCHAR(255) NOT NULL, "ACTIVE" SMALLINT, "ONSET_DATE" DATE NOT NULL DEFAULT '0000-00-00', "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "PREGNANCY_ID" BIGINT, "IMPORT_PROBLEM_ID" BIGINT, "DATE_DELETED" TIMESTAMP, "DELETED_BY" VARCHAR(255), "EVENT_ID" BIGINT, "EVENT_UUID" CHAR(36), "UUID" CHAR(36), "PATIENT_UUID" CHAR(36));

CREATE TABLE "APP"."WITNESS_STATEMENT" ("ID" BIGINT NOT NULL DEFAULT 0, "FORENAMES" VARCHAR(255), "SURNAME" VARCHAR(255), "SEX" SMALLINT, "COUNTRY_ID_NUMBER" VARCHAR(255), "PASSPORT_ID" VARCHAR(255), "CELL" VARCHAR(255), "PHONE" VARCHAR(255), "BIRTH_DATE" DATE, "ADDRESS_1" VARCHAR(255), "NATIONALITY" INTEGER, "STATEMENT" LONG VARCHAR);

CREATE TABLE "APP"."TCCREFERRALS" ("ID" BIGINT NOT NULL DEFAULT 0, "REFERRED_FOR_PREGNANCY_TERMINATION" SMALLINT, "REFERRED_FOR_SHELTER" SMALLINT, "SHELTER_NAME" VARCHAR(255), "REFERRED_FOR_COURT_PREP" SMALLINT, "REFERRED_FOR_ONGONG_COUNSELING" SMALLINT, "ATTENDED_ONGOING_COUNSELING" SMALLINT, "REFERRED_TO_OTHER_SERVICES" SMALLINT, "EXTERNAL_SVC_SHELTER" SMALLINT, "EXTERNAL_SVC_FOLLOWUP_COUNSELING_SERVICES" SMALLINT, "EXTERNAL_SVC_VCT_COUNSELING" SMALLINT, "EXTERNAL_SVC_COURT_PREPARATION" SMALLINT, "EXTERNAL_SVC_VICTIM_SUPPORT_SERVICES" SMALLINT, "EXTERNAL_SVC_PSYCHOLOGICAL_SERVICES" SMALLINT, "EXTERNAL_SVC_PSYCHIATRIC_SERVICES" SMALLINT, "EXTERNAL_SVC_OTHER" SMALLINT, "OTHER_EXTERNAL_SERVICES_NAMES" LONG VARCHAR, "SURVIVOR_REFERRED_INTERNALLY" SMALLINT, "INTERNAL_SVC_VCT_COUNSELING" SMALLINT, "INTERNAL_SVC_COURT_PREPARATION" SMALLINT, "INTERNAL_SVC_VICTIM_SUPPORT_SERVICES" SMALLINT, "INTERNAL_SVC_PSYCHOLOGICAL_SERVICES" SMALLINT, "INTERNAL_SVC_PSYCHIATRIC_SERVICES" SMALLINT, "INTERNAL_SVC_OTHER" SMALLINT, "OTHER_INTERNAL_SERVICES_NAMES" LONG VARCHAR, "OTHER_INTERNAL_SERVICES_REASONS" VARCHAR(255), "INTERNAL_SVC_SPECIAL_CHILDRENS_SERVICES" SMALLINT, "ORGANIZATION_ID" INTEGER, "DATE_OF_REFERRAL" DATE, "REFERRAL_TYPE" INTEGER, "ORGANISATION_ID" INTEGER, "ORGANIZATION_UUID" CHAR(36));

CREATE TABLE "APP"."URINALYSIS" ("ID" BIGINT NOT NULL DEFAULT 0, "LEUK_EST" INTEGER DEFAULT NULL, "NITRITE" INTEGER DEFAULT NULL, "URINALYSIS_ACE_244" INTEGER DEFAULT NULL, "URINALYSIS_ALB_242" INTEGER DEFAULT NULL, "URINALYSIS_GLU_243" INTEGER DEFAULT NULL, "WBC_URINALYSIS" INTEGER DEFAULT NULL, "BACTERIA" INTEGER DEFAULT NULL, "LABTEST_ID" BIGINT DEFAULT NULL);

CREATE TABLE "APP"."COURTPREPARATION" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_COURT_PREP" DATE, "FURTHER_COURT_PREP" LONG VARCHAR, "OTHER_COURT_PREP_OFFICER" VARCHAR(255), "DATE_FURTHER_COURT_PREP" DATE, "COURT_PREP_OFFICER" INTEGER, "ORG_PROVIDING_COURT_PREP" INTEGER, "DATE_VAO_INFORMED" DATE, "MOTHOD_OF_INFORMING_SURVIVOR" INTEGER, "ORG_PROVIDING_COURT_PREP_UUID" CHAR(36));

CREATE TABLE "APP"."VISIT_OUTCOME" ("ID" BIGINT NOT NULL DEFAULT 0, "NAME" VARCHAR(255), "REASON" VARCHAR(255));

CREATE TABLE "APP"."OUTCOME" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "ACTIVE" SMALLINT, "ENCOUNTER_ID" BIGINT, "PATIENT_ID" BIGINT, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "PREGNANCY_ID" BIGINT, "FORM_ID" BIGINT, "FORM_FIELD_ID" BIGINT, "RULE_DEFINITION_ID" BIGINT, "MESSAGE" VARCHAR(255), "REQUIRED_FORM_ID" INTEGER, "REASON" VARCHAR(255), "PRIORITY_OF_REFERRAL" VARCHAR(255), "TRANSPORT" VARCHAR(255), "OUTCOME_TYPE" VARCHAR(255), "UTH_ADMISSION_DATE" TIMESTAMP, "ARRIVAL_CONDITION" VARCHAR(255), "UTH_WARD_ID" INTEGER, "REFERRING_SITE_ID" BIGINT, "FIRM" CHAR(1), "IMPORT_OUTCOME_ID" BIGINT, "IMPORT_ENCOUNTER_ID" BIGINT, "UUID" CHAR(36), "ENCOUNTER_UUID" CHAR(36), "PATIENT_UUID" CHAR(36), "EVENT_ID" BIGINT, "EVENT_UUID" CHAR(36));

CREATE TABLE "ADMIN"."APPUPDATE" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 2471, INCREMENT BY 1), "DATEPOSTED" TIMESTAMP, "DATEINSTALLED" TIMESTAMP, "TYPE" CHAR(1), "JOB" LONG VARCHAR, "MESSAGE" VARCHAR(255), "UPDATEID" BIGINT);

CREATE TABLE "APP"."USER_INFO_TEMP" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "USERNAME" VARCHAR(50) NOT NULL, "FIRSTNAME" VARCHAR(50) NOT NULL, "LASTNAME" VARCHAR(50) NOT NULL, "PREFIX" VARCHAR(50), "SEX" INTEGER, "EMAIL" VARCHAR(50), "PHONE" VARCHAR(15), "MOBILE" VARCHAR(15), "CLINIC_ID_FK" INTEGER, "MARITAL_STATUS_FK" INTEGER, "PASSWORD" VARCHAR(30));

CREATE TABLE "APP"."CASEFINALISATION" ("ID" BIGINT NOT NULL DEFAULT 0, "ACQUITTAL" SMALLINT, "ARREST_WARRANT" SMALLINT, "STRUCK_OFF_ROLE" SMALLINT, "WITHDRAWAL_REASONS" INTEGER, "ADR" SMALLINT, "TRANSFERRED_ANOTHER_COURT" SMALLINT, "MATTER_FINALIZED" SMALLINT, "DATE_MATTER_FINALIZED" DATE, "SENTENCE" LONG VARCHAR, "REMAND_DATE" DATE, "REASONS_NOT_FINALISED" LONG VARCHAR, "DATE_CONVICTION" DATE, "CONVICTION" SMALLINT, "CHARGES" INTEGER, "CHARGES_OTHER" LONG VARCHAR, "SEX_OFFENDER_REGISTRATION_ORDER" INTEGER, "COURT_TRANSFERRED" INTEGER, "CASE_OUTCOME" INTEGER, "OUTCOME_DATE" DATE, "OTHER_OUTCOME" VARCHAR(255), "EXPERT_EVIDENCE_USED" SMALLINT, "REASONS_FOUND_NOT_GUILTY" INTEGER, "ACQUITTED_REASON_MEDICAL_EVIDENCE" SMALLINT, "ACQUITTED_REASON_FORENSIC_EVIDENCE" SMALLINT, "ACQUITTED_REASON_CREDIBILITY_OF_COMPLAINANT" SMALLINT, "ACQUITTED_REASON_CREDIBILITY_OF_OTHER_WITNESSES" SMALLINT, "ACQUITTED_REASON_QUALITY_OF_COMPLAINANT_EVIDENCE" SMALLINT, "ACQUITTED_REASON_OTHER_REASONS" SMALLINT, "ACQUITTED_REASON_OTHER_REASONS_DESCIPTION" LONG VARCHAR, "FORENSIC_EVIDENCE_DNA" SMALLINT, "FORENSIC_EVIDENCE_SAPS" SMALLINT, "FORENSIC_EVIDENCE_SOCIAL_WORKER" SMALLINT, "FORENSIC_EVIDENCE_PSYCHIATRIST" SMALLINT, "FORENSIC_EVIDENCE_COUNSELLOR" SMALLINT, "WITHDRAWN_BY_COMPLAINANT" SMALLINT, "WITHDRAWN_MEDICAL_EVIDENCE" SMALLINT, "WITHDRAWN_FORENSIC_EVIDENCE" SMALLINT, "WITHDRAWN_OTHER" SMALLINT, "WITHDRAWN_OTHER_SPECIFIY" LONG VARCHAR, "DETAILS_OF_ADR" LONG VARCHAR, "COURT_TRANSFERRED_UUID" CHAR(36));

CREATE TABLE "APP"."PROSECUTORCONSULTATION" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_FIRST_CONSULTATION" DATE, "FIRST_CONSULTATION_OCCURRED" SMALLINT, "REASONS_NO_FIRST_CONSULTATION" INTEGER, "PROSECUTOR_FORENAMES" VARCHAR(255), "PROSECUTOR_SURNAME" VARCHAR(255), "INSTRUCTIONS_FROM_CONSULTATION" SMALLINT, "DESCRIPTION_INSTRUCTIONS_FROM_CONSULTATION" VARCHAR(255), "PENDING_DATE" DATE, "PROSECUTOR_ID" INTEGER, "DATE_VOA_INFORMED" DATE, "MOTHOD_OF_INFORMING_SURVIVOR" INTEGER, "PROSECUTOR_UUID" CHAR(36));

CREATE TABLE "ADMIN"."FORM" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 266, INCREMENT BY 1), "NAME" VARCHAR(255) NOT NULL, "LABEL" VARCHAR(255) NOT NULL, "REQUIRE_REAUTH" SMALLINT NOT NULL DEFAULT 0, "REQUIRE_PATIENT" SMALLINT NOT NULL DEFAULT 0, "IS_ENABLED" SMALLINT NOT NULL DEFAULT 0, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "FLOW_ID" BIGINT, "FLOW_ORDER" INTEGER, "FORM_TYPE_ID" BIGINT, "MAX_SUBMISSIONS" INTEGER, "RECORDS_PER_ENCOUNTER" INTEGER DEFAULT 0, "GLOBAL_IDENTIFIER_NAME" VARCHAR(128), "IMPORT_ID" BIGINT, "FORM_DOMAIN_ID" BIGINT, "START_NEW_EVENT" SMALLINT DEFAULT NULL, "EVENT_TYPE" VARCHAR(255) DEFAULT NULL, "IMPORT_TYPE" VARCHAR(255), "LOCALE" VARCHAR(6));

CREATE TABLE "APP"."SURVIVORQUALITYSURVEY" ("ID" BIGINT NOT NULL DEFAULT 0, "LOCATION_OF_CASE_REPORT" INTEGER, "LEVEL_OF_SATISFACTION" INTEGER, "MODE_OF_TRANSPORT_TO_TCC" INTEGER, "INFORMED_ABOUT_TCC" SMALLINT, "TIME_OF_ARRIVAL" TIME, "WELCOMED_BY_STAFF" SMALLINT, "PERSON_WHO_WELCOMED" VARCHAR(255), "ORIENTED_TO_TCC_SERVICES" SMALLINT, "PERSON_WHO_ORIENTED" VARCHAR(255), "INFORMED_ABOUT_RIGHTS" SMALLINT, "NAMES_OF_RIGHTS" VARCHAR(255), "DURATION_OF_WAIT_FOR_TRANSPORT" INTEGER, "DURATION_OF_WAIT_FOR_HELP" INTEGER, "PERSON_TALK_ABOUT_CASE" VARCHAR(255), "NUMBER_OF_TIMES_DESCRIBED_CASE" INTEGER, "SITE_COORDINATOR" VARCHAR(255), "NURSE" VARCHAR(255), "DOCTOR" VARCHAR(255), "POLICE_OFFICER" VARCHAR(255), "VICTIM_ASSISTANCE_OFFICER" VARCHAR(255), "OTHER_PERSONS" VARCHAR(255), "RATE_TREATMENT_BY_STAFF" INTEGER, "COMMENTS_ON_TREATMENT" VARCHAR(255), "POLICE_OFFICER_TREATMENT" INTEGER, "MEDICAL_STAFF_TREATMENT" INTEGER, "VOA_TREATMENT" INTEGER, "SITE_COORD_TREATMENT" INTEGER, "SOCIAL_WORKER_TREATMENT" INTEGER, "TREATED_WITH_DIGNITY" SMALLINT, "CONFIDENTIALITY_RESPECTED" INTEGER, "COMMENTS" LONG VARCHAR);

CREATE TABLE "APP"."ADDRESS" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "LINE1" VARCHAR(255), "LINE2" VARCHAR(255), "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT);

CREATE TABLE "APP"."PUBLIC_AWARENESS" ("ID" BIGINT NOT NULL DEFAULT 0, "DATE_OF_EVENT" DATE, "NAME_OF_EVENT" VARCHAR(255), "PURPOSE" LONG VARCHAR, "ROLE_OF_OFFICIAL" VARCHAR(255), "NAME_OF_OFFICIALS" VARCHAR(255), "NUMBER_ATTENDED_EVENT" INTEGER, "BUSINESS_PLAN_SUBMITTED" SMALLINT, "DATE_BUSINESS_PLAN" DATE, "WHOM_BUSINESS_PLAN_SUBMITTED" VARCHAR(255), "FUNDING_APPROVED" SMALLINT, "DATE_OF_APPROVAL" DATE, "FORUM_BEYOND_ABSTINENCE_PEPFAR" SMALLINT);

CREATE TABLE "APP"."TCC_RAPE_CASE_DETAILS" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 1, INCREMENT BY 1), "DATE_OF_RAPE" DATE, "TIME_OF_RAPE" TIME, "PERPETRATOR_KNOWN" SMALLINT, "COMMENTS" LONG VARCHAR, "CAS_NUMBER" VARCHAR(255));

CREATE TABLE "ADMIN"."DRUGS" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 120, INCREMENT BY 1), "NAME" VARCHAR(255) NOT NULL, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "INACTIVE" SMALLINT, "TERATOGENIC" VARCHAR(100));

CREATE TABLE "APP"."ENCOUNTER_OUTCOME" ("ID" BIGINT NOT NULL DEFAULT 0, "FORM_ID" INTEGER);

CREATE TABLE "APP"."CREATEREFERRAL" ("ID" BIGINT NOT NULL DEFAULT 0, "PRIORITY_OF_REFERRAL" INTEGER DEFAULT NULL, "COMMENT" LONG VARCHAR, "REFERRING_ENCOUNTER" INTEGER DEFAULT NULL);

CREATE TABLE "APP"."PERPETRATORDEMOGRAPHICS" ("ID" BIGINT NOT NULL DEFAULT 0, "SURNAME" VARCHAR(255), "FORENAMES" VARCHAR(255), "DATE_OF_BIRTH" DATE, "ID_NUMBER" VARCHAR(255), "AGE" INTEGER, "COMMENTS" LONG VARCHAR, "NATIONALITY" INTEGER, "SEX" INTEGER DEFAULT NULL, "SEX_490" SMALLINT, "PASSPORT_ID" VARCHAR(255), "COUNTRY_ID_NUMBER" VARCHAR(255), "PERP_ADDRESS" VARCHAR(255), "PERP_ADDRESS_CITY" VARCHAR(255), "CALCULATED_AGE" INTEGER, "RELATIONSHIP_ID" BIGINT, "PATIENT_ID_NUMBER" VARCHAR(255), "DISTRICT_IDENTIFIER" VARCHAR(255), "SITE_IDENTIFIER" VARCHAR(255));

CREATE TABLE "APP"."PATIENT_STATUS" ("ID" BIGINT NOT NULL DEFAULT 0, "CURRENT_FLOW" BIGINT, "CURRENT_FLOW_ENCOUNTER_ID" BIGINT, "CURRENT_PREGNANCY_ID" BIGINT, "CURRENT_PREGNANCY_ENCOUNTER_ID" BIGINT, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "NO_PREV_PREGNANCIES" SMALLINT, "FIRM" CHAR(1), "CURRENT_FLOW_ENCOUNTER_UUID" CHAR(36), "CURRENT_PREGNANCY_UUID" CHAR(36), "CURRENT_PREGNANCY_ENCOUNTER_UUID" CHAR(36), "CURRENT_FLOW_ID" BIGINT);

CREATE TABLE "ADMIN"."FIELD_ENUMERATION" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 3551, INCREMENT BY 1), "FIELD_ID" BIGINT, "ENUMERATION" VARCHAR(255) NOT NULL, "NUMERIC_VALUE" VARCHAR(255), "IS_ENABLED" SMALLINT NOT NULL DEFAULT 0, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "DISPLAY_ORDER" INTEGER, "IMPORT_ID" BIGINT, "OPENMRS_CONCEPT" VARCHAR(255), "PARENT_UUID" VARCHAR(36), "UUID" VARCHAR(36), "LOCALE" VARCHAR(6));

CREATE TABLE "APP"."STAFFTRAINING" ("ID" BIGINT NOT NULL DEFAULT 0, "STAFF_NAME" VARCHAR(255), "PROFESSION" INTEGER, "TCC_TRAINING" SMALLINT, "VICTIM_CHARTER_TRAINING" SMALLINT, "CHILD_TRAINING" SMALLINT, "MEDICO_TRAINING" SMALLINT, "DATE_DEBRIEFING" DATE, "DATE_GROUP_DEBRIEFING" DATE, "TYPE_OF_TRAINING" INTEGER);

CREATE TABLE "ADMIN"."RULE_DEFINITION" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 129, INCREMENT BY 1), "RULE_CLASS" VARCHAR(255) NOT NULL, "OUTCOME_CLASS" VARCHAR(255) NOT NULL, "FORM_ID" BIGINT, "FIELD_ID" BIGINT, "IS_ENABLED" SMALLINT NOT NULL DEFAULT 0, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "MESSAGE" VARCHAR(255), "OPERAND" VARCHAR(255), "OPERATOR" VARCHAR(255), "ALL_PREGS" SMALLINT DEFAULT 0, "IMPORT_ID" BIGINT);

CREATE TABLE "APP"."SITE" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 6, INCREMENT BY 1), "SITE_ALPHA_ID" VARCHAR(255) NOT NULL, "DISTRICT_ID" VARCHAR(255) NOT NULL, "ABBREV" VARCHAR(255) NOT NULL, "SITE_NAME" VARCHAR(255) NOT NULL, "SITE_TYPE_ID" INTEGER, "INACTIVE" SMALLINT, "CREATED" TIMESTAMP DEFAULT CURRENT_TIMESTAMP, "LAST_MODIFIED" TIMESTAMP DEFAULT CURRENT_TIMESTAMP, "CREATED_BY" VARCHAR(255), "LAST_MODIFIED_BY" VARCHAR(255));

CREATE TABLE "APP"."SURVIVORTRANSPORT" ("ID" BIGINT NOT NULL DEFAULT 0, "CRIME_REPORTED_TO_SAPS" SMALLINT, "SAPS_TRANSPORT_TO_TCC" SMALLINT, "SURVIVOR_WAIT_FOR_TRANSPORT" INTEGER);

CREATE TABLE "ADMIN"."PAGE_ITEM" ("ID" BIGINT NOT NULL GENERATED BY DEFAULT AS IDENTITY (START WITH 5036, INCREMENT BY 1), "FORM_FIELD_ID" BIGINT, "DISPLAY_ORDER" INTEGER, "INPUT_TYPE" VARCHAR(255) NOT NULL, "CLOSE_ROW" SMALLINT, "COLUMN_NUMBER" INTEGER, "LAST_MODIFIED" TIMESTAMP, "CREATED" TIMESTAMP, "LAST_MODIFIED_BY" VARCHAR(255), "CREATED_BY" VARCHAR(255), "SITE_ID" BIGINT, "SIZE" INTEGER, "MAXLENGTH" INTEGER, "rows" INTEGER, "COLS" INTEGER, "VISIBLE" SMALLINT, "VISIBLE_ENUM_ID_TRIGGER1" VARCHAR(255), "VISIBLE_DEPENDENCIES1" VARCHAR(255), "VISIBLE_ENUM_ID_TRIGGER2" VARCHAR(255), "VISIBLE_DEPENDENCIES2" VARCHAR(255), "SELECTED_ENUM" BIGINT, "FORM_ID" BIGINT, "COLSPAN" INTEGER, "HIGHLIGHT" SMALLINT, "DROPDOWN_TABLE_NAME" VARCHAR(255), "DROPDOWN_COLUMN_NAME" VARCHAR(255), "DROPDOWN_CONSTRAINT" VARCHAR(255), "DROPDOWN_ORDER_BY" VARCHAR(255), "ROLES" VARCHAR(255), "IMPORT_ID" BIGINT, "FKIDENTIFIER" VARCHAR(6));

CREATE TABLE "APP"."MEDICAL" ("ID" BIGINT NOT NULL DEFAULT 0, "MEDICAL_PROF_NAME" INTEGER, "INVESTIGATING_OFFICER" INTEGER, "PROSECUTOR" INTEGER, "TIME_EXAMINATION" TIME, "CRIME_KIT_AVAIL_IMMEDIATELY" SMALLINT, "HOURS_TO_PROCURE_CRIME_KIT" INTEGER, "MINS_TO_PROCURE_CRIME_KIT" INTEGER, "SURVIVOR_MENTALLY_CHALLENGED" SMALLINT, "SURVIVOR_PHYSICALLY_CHALLENGED" SMALLINT, "SIGN_LANGUAGE_OFFERED" SMALLINT, "NAME_SIGN_LANGUAGE_TRANSLATOR" VARCHAR(255), "HIV_TESTED" SMALLINT, "HIV_POSITIVE" SMALLINT, "SURVIVOR_ATTEND_HIV_COUNSELING" SMALLINT, "COMPLETE_28_DAYS_PEP" SMALLINT, "SERO_CONVERT_AFTER_PEP" SMALLINT, "ELIGIBLE_FOR_EMERGENCY_CONTRACEPTION" SMALLINT, "RECEIVED_EMERGENCY_CONTRACEPTION" SMALLINT, "RECEIVED_3_DRUGS_STI" SMALLINT, "RECEIVED_TETANUS_TOXOID" SMALLINT, "RECEIVED_HEPATITIS_B_VACCINE" SMALLINT, "RETURNED_FOR_TESTING_AFTER_6_WEEKS" SMALLINT, "REFERRED_FOR_PREGNANCY_TERMINATION" SMALLINT, "J88_COMPLETED" SMALLINT, "DOCTOR_WHO_COMPLETED_J88" INTEGER, "DATE_J88" DATE, "TIME_J88" TIME, "SAECK_USED" SMALLINT, "DNA_REQUEST" SMALLINT, "COLLECTED_EVIDENCE" VARCHAR(255), "EVIDENCE_TO_POLICE" SMALLINT, "REFERRED_TO_PSYCHOLOGIST" SMALLINT, "CRIME_KIT_USED" SMALLINT, "REGISTER_NUMBER" VARCHAR(255), "TEST_FOR_HIV" SMALLINT, "HIV_POSITIVE_RESULT" SMALLINT, "ATTENDED_HIV_COUNSELING" SMALLINT, "COMPLETED_28_DAYS_PEP" SMALLINT, "SERO_CONVERT_AFTER_28_PEP" SMALLINT, "ELIGIBAL_EMERGENCY_CONTRACEPTION" SMALLINT, "SURVIVOR_RECEIVED_EMERGENCY_CONTRACEPTION" SMALLINT, "SURVIVOR_RECEIVED_3_DRUGS_STI" SMALLINT, "SURVIVOR_RECEIVED_TT" SMALLINT, "SURVIVOR_RECEIVED_HEP_B_VAC" SMALLINT, "SURVIVOR_RETURN_HIV_TESTING_6_WEEKS" SMALLINT, "EXAM_LOCATION" INTEGER, "OTHER_EXAM_LOCATION" VARCHAR(255), "DOCTOR_WHO_COMPLETED_J88_UUID" CHAR(36), "SURVIVOR_RECEIVED_PEP" SMALLINT, "RECEIVED_HIV_COUNSEL_TEST" SMALLINT, "SURVIVOR_RECEIVED_HIV_RESULTS" SMALLINT);

-- ----------------------------------------------
-- DDL Statements for indexes
-- ----------------------------------------------

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500780" ON "ADMIN"."IMMUNIZATION" ("ID");

CREATE INDEX "APP"."CLIENT_EVENT_UUID_IDX" ON "APP"."EVENT" ("CLIENT_UUID");

CREATE INDEX "APP"."IDX_EVENT_BEGIN_ENCOUNTER_ID" ON "APP"."EVENT" ("EVENT_BEGIN_ENCOUNTER_ID");

CREATE INDEX "APP"."IDX_EVENT_UUID_PREGNANCY" ON "APP"."EVENT" ("UUID");

CREATE INDEX "ADMIN"."SQL071107184502000" ON "ADMIN"."PAGE_ITEM" ("FORM_FIELD_ID");

CREATE INDEX "ADMIN"."SQL071107184502030" ON "ADMIN"."PAGE_ITEM" ("FORM_ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500890" ON "ADMIN"."PAGE_ITEM" ("ID");

CREATE INDEX "ADMIN"."SQL071107184502200" ON "ADMIN"."RULE_DEFINITION" ("FORM_ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500930" ON "ADMIN"."RULE_DEFINITION" ("ID");

CREATE INDEX "ADMIN"."SQL071107184502180" ON "ADMIN"."RULE_DEFINITION" ("FIELD_ID");

CREATE INDEX "APP"."FK38A5EE5FC5FB97A7" ON "APP"."COMMENT" ("ENCOUNTER_ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500570" ON "ADMIN"."FLOW" ("ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500430" ON "ADMIN"."APPUPDATE" ("ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500730" ON "ADMIN"."FORM_TYPE" ("ID");

CREATE INDEX "APP"."FK53A1626C57878034" ON "APP"."PATIENT_STATUS" ("CURRENT_FLOW");

CREATE INDEX "APP"."OUTENCINDEX" ON "APP"."OUTCOME" ("ENCOUNTER_ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500480" ON "ADMIN"."DRUGS" ("ID");

CREATE UNIQUE INDEX "APP"."URL" ON "APP"."SUBSCRIPTION" ("URL");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500790" ON "ADMIN"."IMMUNIZATION_TYPE" ("ID");

CREATE UNIQUE INDEX "APP"."UUID_ENCOUNTER_IDX" ON "APP"."ENCOUNTER" ("UUID");

CREATE INDEX "APP"."CLIENT_ENCOUNTER_UUID_IDX" ON "APP"."ENCOUNTER" ("CLIENT_UUID");

CREATE INDEX "APP"."ENC_EVENT_UUID_IDX" ON "APP"."ENCOUNTER" ("EVENT_UUID");

CREATE INDEX "APP"."IDX_ENC_EVENTID" ON "APP"."ENCOUNTER" ("EVENT_ID");

CREATE INDEX "APP"."FK5AD869338523EC95" ON "APP"."ENCOUNTER" ("PATIENT_ID");

CREATE INDEX "APP"."FK5AD869333E8F4D64" ON "APP"."ENCOUNTER" ("LAST_MODIFIED_BY");

CREATE INDEX "APP"."FK5AD8693351A3A90E" ON "APP"."ENCOUNTER" ("CREATED_BY");

CREATE INDEX "APP"."FK5AD869337D2B7913" ON "APP"."ENCOUNTER" ("SITE_ID");

CREATE INDEX "APP"."FK5AD86933D79EFE76" ON "APP"."ENCOUNTER" ("FORM_ID");

CREATE INDEX "APP"."FK5AD86933D25AB9CC" ON "APP"."ENCOUNTER" ("FLOW_ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500460" ON "ADMIN"."DISTRICT" ("ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500540" ON "ADMIN"."FIELD_ENUMERATION" ("ID");

CREATE INDEX "ADMIN"."SQL071107184501210" ON "ADMIN"."FIELD_ENUMERATION" ("FIELD_ID");

CREATE INDEX "USERDATA"."NICKINDEX" ON "USERDATA"."ADDRESS" ("NICKNAME");

CREATE INDEX "APP"."IDX_COUNTRY_ID_NUMBER" ON "APP"."PATIENT" ("COUNTRY_ID_NUMBER");

CREATE INDEX "APP"."PARENT_UUID_IDX" ON "APP"."PATIENT" ("PARENT_UUID");

CREATE INDEX "APP"."UUID_IDX" ON "APP"."PATIENT" ("UUID");

CREATE UNIQUE INDEX "APP"."DIST_PATIENT_ID_UK" ON "APP"."PATIENT" ("DISTRICT_PATIENT_ID");

CREATE INDEX "APP"."IDX_SURNAME" ON "APP"."PATIENT" ("SURNAME");

CREATE INDEX "APP"."IDX_FIRST_NAME" ON "APP"."PATIENT" ("FIRST_NAME");

CREATE INDEX "ADMIN"."SQL071107184501400" ON "ADMIN"."FORM" ("FLOW_ID");

CREATE UNIQUE INDEX "ADMIN"."SQL071107184500640" ON "ADMIN"."FORM" ("ID");

CREATE INDEX "ADMIN"."SQL071107184501420" ON "ADMIN"."FORM" ("FORM_TYPE_ID");

CREATE INDEX "APP"."EVA_PATIENT_ID_IDX" ON "APP"."ENCOUNTER_VALUE_ARCHIVE" ("PATIENT_ID");

CREATE UNIQUE INDEX "APP"."UUID_EVA_IDX" ON "APP"."ENCOUNTER_VALUE_ARCHIVE" ("UUID");

CREATE INDEX "APP"."ENCOUNTER_UUID_EVA_IDX" ON "APP"."ENCOUNTER_VALUE_ARCHIVE" ("ENCOUNTER_UUID");

-- ----------------------------------------------
-- DDL Statements for keys
-- ----------------------------------------------

-- primary/unique
ALTER TABLE "ADMIN"."IMMUNIZATION" ADD CONSTRAINT "SQL071107184500780" PRIMARY KEY ("ID");

ALTER TABLE "APP"."EVENT" ADD CONSTRAINT "PK_EVENT_ID" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PERSONNEL" ADD CONSTRAINT "SQL091120135742020" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PEP_TRACKING" ADD CONSTRAINT "SQL091120140028690" PRIMARY KEY ("ID");

ALTER TABLE "APP"."TCCREFERRALS" ADD CONSTRAINT "SQL090304201327620" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."PAGE_ITEM" ADD CONSTRAINT "SQL071107184500890" PRIMARY KEY ("ID");

ALTER TABLE "APP"."ARCHIVELOG" ADD CONSTRAINT "SQL071116105712950" PRIMARY KEY ("ID");

ALTER TABLE "APP"."VAO_CASE_OUTCOME" ADD CONSTRAINT "SQL091120142501140" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."RULE_DEFINITION" ADD CONSTRAINT "SQL071107184500930" PRIMARY KEY ("ID");

ALTER TABLE "APP"."MEDICAL" ADD CONSTRAINT "SQL090304202203010" PRIMARY KEY ("ID");

ALTER TABLE "APP"."ARREST_DOCKET" ADD CONSTRAINT "SQL090507182121500" PRIMARY KEY ("ID");

ALTER TABLE "APP"."TCC_OPERATIONS" ADD CONSTRAINT "SQL091120131327990" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PROSECUTORCONSULTATION" ADD CONSTRAINT "SQL090414233456780" PRIMARY KEY ("ID");

ALTER TABLE "APP"."MENUITEM" ADD CONSTRAINT "SQL090929145001840" PRIMARY KEY ("ID");

ALTER TABLE "APP"."TCC_RAPE_CASE_DETAILS" ADD CONSTRAINT "SQL090304144328550" PRIMARY KEY ("ID");

ALTER TABLE "APP"."COMMENT" ADD CONSTRAINT "SQL071116105713670" PRIMARY KEY ("ID");

ALTER TABLE "APP"."ADDRESS" ADD CONSTRAINT "SQL071116105712200" PRIMARY KEY ("ID");

ALTER TABLE "APP"."SITE" ADD CONSTRAINT "SQL071116105730150" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."FLOW" ADD CONSTRAINT "SQL071107184500570" PRIMARY KEY ("ID");

ALTER TABLE "APP"."WITNESS_STATEMENT" ADD CONSTRAINT "SQL091120130843900" PRIMARY KEY ("ID");

ALTER TABLE "APP"."SAFETY_PLACEMENT" ADD CONSTRAINT "SQL091120140546780" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."APPUPDATE" ADD CONSTRAINT "SQL071107184500430" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PREGNANCYBEGIN" ADD CONSTRAINT "SQL081201131551140" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PREGNANCY" ADD CONSTRAINT "SQL071116105724430" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."FORM_TYPE" ADD CONSTRAINT "SQL071107184500730" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PATIENT_STATUS" ADD CONSTRAINT "SQL071116105722890" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PROBLEM_ARCHIVE" ADD CONSTRAINT "SQL071116105726390" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PATIENTREGISTRATION" ADD CONSTRAINT "SQL081130150646030" PRIMARY KEY ("ID");

ALTER TABLE "APP"."URINALYSIS" ADD CONSTRAINT "SQL081201141123290" PRIMARY KEY ("ID");

ALTER TABLE "APP"."OUTCOME" ADD CONSTRAINT "SQL071116105718600" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."FORM_FIELD" ADD CONSTRAINT "SQL071107184500680" PRIMARY KEY ("ID");

ALTER TABLE "APP"."USER_GROUP" ADD CONSTRAINT "SQL071116105732070" PRIMARY KEY ("ID");

ALTER TABLE "APP"."INCIDENTDETAILS" ADD CONSTRAINT "SQL090414233646200" PRIMARY KEY ("ID");

ALTER TABLE "APP"."VAO_COUNSELLING" ADD CONSTRAINT "SQL091120141158940" PRIMARY KEY ("ID");

ALTER TABLE "APP"."COURTPREPARATION" ADD CONSTRAINT "SQL090414233619840" PRIMARY KEY ("ID");

ALTER TABLE "APP"."ENCOUNTER_ARCHIVE" ADD CONSTRAINT "SQL071116105714710" PRIMARY KEY ("ID");

ALTER TABLE "APP"."VOA_CASE_COMMUNICATIONS" ADD CONSTRAINT "SQL091120135943130" PRIMARY KEY ("ID");

ALTER TABLE "APP"."SUBSEQUENTAPPEARANCE" ADD CONSTRAINT "SQL090414233157960" PRIMARY KEY ("ID");

ALTER TABLE "APP"."CASEFINALISATION" ADD CONSTRAINT "SQL090414233431310" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."DRUGS" ADD CONSTRAINT "SQL071107184500480" PRIMARY KEY ("ID");

ALTER TABLE "APP"."STAFFTRAINING" ADD CONSTRAINT "SQL090319113456890" PRIMARY KEY ("ID");

ALTER TABLE "APP"."DOCKET" ADD CONSTRAINT "SQL090414225312070" PRIMARY KEY ("ID");

ALTER TABLE "APP"."SUBSCRIPTION" ADD CONSTRAINT "SQL071116105730460" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PROBLEM" ADD CONSTRAINT "SQL071116105725820" PRIMARY KEY ("ID");

ALTER TABLE "APP"."POLICE_STATION" ADD CONSTRAINT "SQL090521154418690" PRIMARY KEY ("ID");

ALTER TABLE "APP"."ORGANIZATION" ADD CONSTRAINT "SQL090507120206560" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."IMMUNIZATION_TYPE" ADD CONSTRAINT "SQL071107184500790" PRIMARY KEY ("ID");

ALTER TABLE "APP"."SITE_TYPE" ADD CONSTRAINT "SQL071116105730200" PRIMARY KEY ("ID");

ALTER TABLE "APP"."VISIT_OUTCOME" ADD CONSTRAINT "SQL071116105732980" PRIMARY KEY ("ID");

ALTER TABLE "APP"."APPUPDATE" ADD CONSTRAINT "SQL071116105712890" PRIMARY KEY ("ID");

ALTER TABLE "APP"."ENCOUNTER" ADD CONSTRAINT "SQL071116105714420" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."DISTRICT" ADD CONSTRAINT "SQL071107184500460" PRIMARY KEY ("ID");

ALTER TABLE "APP"."STAKEHOLDER_COORDINATION" ADD CONSTRAINT "SQL090319112907890" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."FIELD_ENUMERATION" ADD CONSTRAINT "SQL071107184500540" PRIMARY KEY ("ID");

ALTER TABLE "APP"."ENCOUNTER_OUTCOME" ADD CONSTRAINT "SQL071116105714760" PRIMARY KEY ("ID");

ALTER TABLE "APP"."INTAKE" ADD CONSTRAINT "SQL090414223312920" PRIMARY KEY ("ID");

ALTER TABLE "APP"."CONTACT" ADD CONSTRAINT "SQL090429185731030" PRIMARY KEY ("ID");

ALTER TABLE "APP"."CASEREPORTREQUEST" ADD CONSTRAINT "SQL090414233552260" PRIMARY KEY ("ID");

ALTER TABLE "APP"."CREATEREFERRAL" ADD CONSTRAINT "SQL081201124757500" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PATIENT" ADD CONSTRAINT "SQL071116105722260" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PERPETRATORDEMOGRAPHICS" ADD CONSTRAINT "SQL090414233523930" PRIMARY KEY ("ID");

ALTER TABLE "APP"."USER_GROUP_MEMBERSHIP" ADD CONSTRAINT "SQL071116105732100" PRIMARY KEY ("ID");

ALTER TABLE "APP"."SURVIVORTRANSPORT" ADD CONSTRAINT "SQL090429175518820" PRIMARY KEY ("ID");

ALTER TABLE "APP"."COURT" ADD CONSTRAINT "SQL090507194410800" PRIMARY KEY ("ID");

ALTER TABLE "APP"."UPDATELOG" ADD CONSTRAINT "SQL071116105732010" PRIMARY KEY ("ID");

ALTER TABLE "ADMIN"."FORM" ADD CONSTRAINT "SQL071107184500640" PRIMARY KEY ("ID");

ALTER TABLE "APP"."PUBLIC_AWARENESS" ADD CONSTRAINT "SQL090507223953840" PRIMARY KEY ("ID");

ALTER TABLE "APP"."SURVIVORQUALITYSURVEY" ADD CONSTRAINT "SQL090304190917790" PRIMARY KEY ("ID");

ALTER TABLE "APP"."ENCOUNTER_VALUE_ARCHIVE" ADD CONSTRAINT "SQL071116105714820" PRIMARY KEY ("ID");

ALTER TABLE "APP"."RELATIONSHIP" ADD CONSTRAINT "SQL091011160524820" PRIMARY KEY ("ID");

-- foreign
ALTER TABLE "ADMIN"."IMMUNIZATION" ADD CONSTRAINT "FK7EB4E202CD26E040" FOREIGN KEY ("TYPE_ID") REFERENCES "ADMIN"."IMMUNIZATION_TYPE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."EVENT" ADD CONSTRAINT "FK_EVENT_SITE_ID" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PEP_TRACKING" ADD CONSTRAINT "FKPEP_TRACKING" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."TCCREFERRALS" ADD CONSTRAINT "FKTCCREFERRALS" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "ADMIN"."PAGE_ITEM" ADD CONSTRAINT "FK34AA12C37D5DB79B" FOREIGN KEY ("FORM_FIELD_ID") REFERENCES "ADMIN"."FORM_FIELD" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "ADMIN"."PAGE_ITEM" ADD CONSTRAINT "FK34AA12C3D79EFE76" FOREIGN KEY ("FORM_ID") REFERENCES "ADMIN"."FORM" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."VAO_CASE_OUTCOME" ADD CONSTRAINT "FKVAO_CASE_OUTCOME" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "ADMIN"."RULE_DEFINITION" ADD CONSTRAINT "FKEAD6FE76D79EFE76" FOREIGN KEY ("FORM_ID") REFERENCES "ADMIN"."FORM" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "ADMIN"."RULE_DEFINITION" ADD CONSTRAINT "FKEAD6FE76C8A07680" FOREIGN KEY ("FIELD_ID") REFERENCES "ADMIN"."FORM_FIELD" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."MEDICAL" ADD CONSTRAINT "FKMEDICAL" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ARREST_DOCKET" ADD CONSTRAINT "FKARREST_DOCKET" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PROSECUTORCONSULTATION" ADD CONSTRAINT "FKPROSECUTORCONSULTATION" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."COMMENT" ADD CONSTRAINT "FK38A5EE5F7D2B7913" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."COMMENT" ADD CONSTRAINT "FK38A5EE5F8523EC95" FOREIGN KEY ("PATIENT_ID") REFERENCES "APP"."PATIENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."COMMENT" ADD CONSTRAINT "FK38A5EE5FEF6DB6BB" FOREIGN KEY ("PROBLEM_ID") REFERENCES "APP"."PROBLEM" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."COMMENT" ADD CONSTRAINT "FK38A5EE5FF9C95128" FOREIGN KEY ("OUTCOME_ID") REFERENCES "APP"."OUTCOME" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."COMMENT" ADD CONSTRAINT "FKCOMMENT_EVENTID" FOREIGN KEY ("EVENT_ID") REFERENCES "APP"."EVENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ADDRESS" ADD CONSTRAINT "FKBB979BF47D2B7913" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."WITNESS_STATEMENT" ADD CONSTRAINT "FKWITNESS_STATEMENT" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."USER_GROUP_ROLE" ADD CONSTRAINT "FK9C05272A1E2E76DB" FOREIGN KEY ("GROUP_ID") REFERENCES "APP"."USER_GROUP" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."SAFETY_PLACEMENT" ADD CONSTRAINT "FKSAFETY_PLACEMENT" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PREGNANCYBEGIN" ADD CONSTRAINT "FKPREGNANCYBEGIN" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PATIENT_STATUS" ADD CONSTRAINT "FK53A1626C7D2B7913" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PATIENT_STATUS" ADD CONSTRAINT "FK53A1626CD1B" FOREIGN KEY ("ID") REFERENCES "APP"."PATIENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PATIENTREGISTRATION" ADD CONSTRAINT "FKPATIENTREGISTRATION" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE "APP"."URINALYSIS" ADD CONSTRAINT "FKURINALYSIS" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."OUTCOME" ADD CONSTRAINT "FKBE0C07523E8F4D64" FOREIGN KEY ("LAST_MODIFIED_BY") REFERENCES "APP"."USER_GROUP_MEMBERSHIP" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."OUTCOME" ADD CONSTRAINT "FKBE0C075251A3A90E" FOREIGN KEY ("CREATED_BY") REFERENCES "APP"."USER_GROUP_MEMBERSHIP" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."OUTCOME" ADD CONSTRAINT "FKBE0C07527D2B7913" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."OUTCOME" ADD CONSTRAINT "FKOUTCOME_EVENTID" FOREIGN KEY ("EVENT_ID") REFERENCES "APP"."EVENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."OUTCOME" ADD CONSTRAINT "FKOUTENC_ID" FOREIGN KEY ("ENCOUNTER_ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."INCIDENTDETAILS" ADD CONSTRAINT "FKINCIDENTDETAILS" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."VAO_COUNSELLING" ADD CONSTRAINT "FKVAO_COUNSELLING" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."COURTPREPARATION" ADD CONSTRAINT "FKCOURTPREPARATION" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ENCOUNTER_ARCHIVE" ADD CONSTRAINT "FKFDFA0DB63E8F4D64" FOREIGN KEY ("LAST_MODIFIED_BY") REFERENCES "APP"."USER_GROUP_MEMBERSHIP" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ENCOUNTER_ARCHIVE" ADD CONSTRAINT "FKFDFA0DB651A3A90E" FOREIGN KEY ("CREATED_BY") REFERENCES "APP"."USER_GROUP_MEMBERSHIP" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ENCOUNTER_ARCHIVE" ADD CONSTRAINT "FKFDFA0DB67D2B7913" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."VOA_CASE_COMMUNICATIONS" ADD CONSTRAINT "FKVOA_CASE_COMMUNICATIONS" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."SUBSEQUENTAPPEARANCE" ADD CONSTRAINT "FKSUBSEQUENTAPPEARANCE" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."CASEFINALISATION" ADD CONSTRAINT "FKCASEFINALISATION" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."STAFFTRAINING" ADD CONSTRAINT "FKSTAFFTRAINING" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."DOCKET" ADD CONSTRAINT "FKDOCKET" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PROBLEM" ADD CONSTRAINT "FKPROBLEM_EVENTID" FOREIGN KEY ("EVENT_ID") REFERENCES "APP"."EVENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PROBLEM" ADD CONSTRAINT "FKED8CC29F7D2B7913" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PROBLEM" ADD CONSTRAINT "FKED8CC29F8523EC95" FOREIGN KEY ("PATIENT_ID") REFERENCES "APP"."PATIENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."VISIT_OUTCOME" ADD CONSTRAINT "FKA6BB805ED1B" FOREIGN KEY ("ID") REFERENCES "APP"."OUTCOME" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ENCOUNTER" ADD CONSTRAINT "ENCOUNTER_IBFK_4" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ENCOUNTER" ADD CONSTRAINT "ENCOUNTER_IBFK_5" FOREIGN KEY ("PATIENT_ID") REFERENCES "APP"."PATIENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ENCOUNTER" ADD CONSTRAINT "FKENCOUNTER_EVENTID" FOREIGN KEY ("EVENT_ID") REFERENCES "APP"."EVENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."STAKEHOLDER_COORDINATION" ADD CONSTRAINT "FKSTAKEHOLDER_COORDINATION" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "ADMIN"."FIELD_ENUMERATION" ADD CONSTRAINT "FKC69A6282C8A07680" FOREIGN KEY ("FIELD_ID") REFERENCES "ADMIN"."FORM_FIELD" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ENCOUNTER_OUTCOME" ADD CONSTRAINT "FKE89D3446D1B" FOREIGN KEY ("ID") REFERENCES "APP"."OUTCOME" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."INTAKE" ADD CONSTRAINT "FKINTAKE" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."CASEREPORTREQUEST" ADD CONSTRAINT "FKCASEREPORTREQUEST" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."CREATEREFERRAL" ADD CONSTRAINT "FKCREATEREFERRAL" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PATIENT" ADD CONSTRAINT "FKD0D3EB054FEEE146" FOREIGN KEY ("ADDRESS_ID") REFERENCES "APP"."ADDRESS" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PATIENT" ADD CONSTRAINT "FKD0D3EB057B66B0D0" FOREIGN KEY ("PARENT_ID") REFERENCES "APP"."PATIENT" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PATIENT" ADD CONSTRAINT "FKD0D3EB057D2B7913" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PERPETRATORDEMOGRAPHICS" ADD CONSTRAINT "FKPERPETRATORDEMOGRAPHICS" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."USER_GROUP_MEMBERSHIP" ADD CONSTRAINT "FK70FA578A1E2E76DB" FOREIGN KEY ("GROUP_ID") REFERENCES "APP"."USER_GROUP" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."SURVIVORTRANSPORT" ADD CONSTRAINT "FKSURVIVORTRANSPORT" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "ADMIN"."FORM" ADD CONSTRAINT "FK300CC4D25AB9CC" FOREIGN KEY ("FLOW_ID") REFERENCES "ADMIN"."FLOW" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "ADMIN"."FORM" ADD CONSTRAINT "FK300CC4E37F8FC5" FOREIGN KEY ("FORM_TYPE_ID") REFERENCES "ADMIN"."FORM_TYPE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."PUBLIC_AWARENESS" ADD CONSTRAINT "FKPUBLIC_AWARENESS" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."SURVIVORQUALITYSURVEY" ADD CONSTRAINT "FKSURVIVORQUALITYSURVEY" FOREIGN KEY ("ID") REFERENCES "APP"."ENCOUNTER" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "APP"."ENCOUNTER_VALUE_ARCHIVE" ADD CONSTRAINT "FK6729BDE87D2B7913" FOREIGN KEY ("SITE_ID") REFERENCES "APP"."SITE" ("ID") ON DELETE NO ACTION ON UPDATE NO ACTION;

